Moose::Autobox::String(3)

NAME
Moose::Autobox::String - the String role

SYNOPOSIS
  use Moose::Autobox;

  "Hello World"->uc; # HELLO WORLD

DESCRIPTION
This is a role to describes a String value.

METHODS

chomp
chop
index
lc
lcfirst
length
reverse
rindex
uc
ucfirst
split
      $string->split($pattern);

words
    This is equivalent to splitting on space.

lines
    This is equivalent to splitting on linelines.

meta

BUGS
All complex software has bugs lurking in it, and this module is no exception. If you find a bug please either email me, or add the bug to cpan-RT.

AUTHOR
Stevan Little <stevan@iinteractive.com>

COPYRIGHT AND LICENSE
Copyright 2006-2008 by Infinity Interactive, Inc.

<http://www.iinteractive.com>

This library is free software; you can redistribute it and/or modify it under the same terms as Perl itself.